org.apache.cassandra.db

## Class ColumnIndex

- java.lang.Object
- - org.apache.cassandra.db.ColumnIndex

    public class ColumnIndex
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `ColumnIndex.Builder` Help to create an index for a column family based on size of columns, and write said columns to disk.

### Field Summary

Fields
`java.util.List<IndexHelper.IndexInfo>` `columnsIndex`

### Method Summary

All Methods Static Methods Concrete Methods
`static ColumnIndex` `nothing()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### columnsIndex

    public final java.util.List<IndexHelper.IndexInfo> columnsIndex

### Method Detail

#### nothing

    public static ColumnIndex nothing()